Description

Even though the given user should have the rights to clone a host, the button is not displayed in the host show view. The action is

available from the hosts index however which is what is expected.

This is only the case with the following roles set:

########

### Role 1

########

Architecture           view_architectures

Compute profile        view_compute_profile

Compute resource       view_compute_resources_vms,

                       create_compute_resources_vms,

                       edit_compute_resources_vms,

                       destroy_compute_resources_vms,

                       power_compute_resources_vms,

                       console_compute_resources_vm

Domain                 view_domains

Host class             edit_classes

Location               view_locations,

                       assign_locations

Medium                 view_media

Model                  view_model

Operatingsystem        view_operatingsystem

Organization           view_organizations,

                       assign_organizations

Parameter              view_params,

                       create_params,

                       edit_params,

                       destroy_param

Partition Table        view_ptables

Provisioning           template view_provisioning_template

Puppet class           view_puppetclasses
Smart class parameter  view_external_parameters

Smart proxy            view_smart_proxies,

                       view_smart_proxies_puppetc

Subnet                 view_subnets

User                   view_users

Usergroup              view_usergroups

########

### Role 2

########

Compute resource  view_compute_resources

Environment       view_environments

Host              view_hosts,

                  create_hosts,

                  edit_hosts,

                  destroy_hosts,

                  build_hosts,

                  power_hosts,

                  console_hosts,

                  puppetrun_hosts

########

### Role 3

########

(Miscellaneous)  access_dashboard

Fact value       view_facts

Report           view_reports

Associated revisions

Revision c1dff5e7 - 08/02/2018 08:07 AM - Marek Hulán

Fixes #24078 - correctly verify permission on clone button

History

#1 - 08/01/2018 12:01 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Marek Hulán

- Pull request https://github.com/theforeman/foreman/pull/5904 added

#2 - 08/01/2018 12:01 PM - Marek Hulán

- Target version set to 1.20.0

This was present "forever" or at least since Foreman 1.5. I suppose this will get to 1.20 so setting target version accordingly.

#3 - 08/02/2018 08:07 AM - Tomer Brisker

- Fixed in Releases 1.20.0 added

#4 - 08/02/2018 09:01 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

Applied in changeset c1dff5e7e9d431f191ddf835d19c95134b2bd779.
